/*
 * task.c
 *
 *  Created on: 03.11.2022
 *      Author: jonas
 */


#include "myTask.h"
#include "freertos/FreeRTOS.h"
#include "freertos/task.h"

static TaskHandle_t myTaskHandle;

static void myTask(void *pv){
	uint32_t counter = 0;
	if(pv != NULL){
		printf("task argument: %s\n", (char*)pv);
	}
	for(;;){
		printf("task was called. counter=%i\n", ++counter);
		fflush(stdout);
		vTaskDelay(pdMS_TO_TICKS(1000));
	}
}

BaseType_t res;

void MyTask_Start(void){
	res = xTaskCreate(myTask, "task1", 4096/sizeof(StackType_t), (void*)"hello!", tskIDLE_PRIORITY, &myTaskHandle);
	if(res != pdPASS){
		printf("creating myTask failed!\r\n");
	}
}
